package du11;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author votavon1
 */
public class Du11Test {

    public Du11Test() {
    }

    @Test
    public void testPrazdnyPrunik(){
        Kruh k1 = new Kruh(5,0,0);
        Kruh k2 = new Kruh(1,7,7);
        assertEquals(-1, Du11.prunikKruhu(k1, k2), 1e-8);
        Kruh k3 = new Kruh(2, 2,2);
        assertEquals(-1, Du11.prunikKruhu(k3, k2), 1e-8);
    }

    @Test
    public void testDotyk(){
        Kruh k1 = new Kruh(1,0,0);
        Kruh k2 = new Kruh(1,2,0);
        assertEquals(0, Du11.prunikKruhu(k1, k2),1e-8);
        Kruh k3 = new Kruh(2,0,-3);
        assertEquals(0, Du11.prunikKruhu(k3, k1),1e-8);
    }

    @Test
    public void testPrunik(){
        Kruh k1 = new Kruh(1, 0, 0);
        Kruh k2 = new Kruh(100000, 100000, 0);
        assertEquals(1.5707929934343028, Du11.prunikKruhu(k1, k2),1e-6);
        k1 = new Kruh(12, 5, 3);
        k2 = new Kruh(4, 8, 10);
        assertEquals(50.26548245743669, Du11.prunikKruhu(k1, k2),1e-6);
        k1 = new Kruh(5, 5, 3);
        k2 = new Kruh(4, 8, 10);
        assertEquals(4.464567316772296, Du11.prunikKruhu(k1, k2),1e-6);
        k1 = new Kruh(2, -5, -8);
        k2 = new Kruh(5, -2, -3);
        assertEquals(2.699240540313018, Du11.prunikKruhu(k1, k2),1e-6);
    }

}